[PACKAGE]: ../../raw/2.2.x/mkp/inv_cisco_support-0.3.1-20240615.mkp "inv_cisco_support-0.3.1-20240615.mkp"
# Cisco support APIs inventory plugin

Adds live cycle information for Cisco devices to the inventory.

*  *inv_cisco_eox*: adds end of live information to the inventory
*  *inv_cisco_contract*: adds information about the support contract to the inventory
*  *inv_cisco_psirt*: adds information about security related issues to the inventory
*  *inv_cisco_bug*: adds information about known issues to the inventory

*WATO*: In all plugins you can remove not needed columns from the inventory.

**Note**: to get this plugins to work, you nedd access to the [Cisco support APIs](https://apiconsole.cisco.com/supportapis)

---
### Download

* [Download latest mkp file][PACKAGE]

**Note**: before you update to a newer version, always check the [CHANGELOG](CHANGELOG). There might be incompatible changes.

---                   
### Installation

You can install the package by uploading it to your CheckMK site and as site user run 
```
mkp install PACKAGENAME-VERSION.mkp
```
or beginning with CMK2.2.x
```
mkp add PACKAGENAME-VERSION.mkp
mkp enable PACKAGENAME VERSION
```
In the non RAW editions of CheckMK you can use the GUI to install the package (_Setup_ -> _Extension Packages_ -> _Upload package_)

---
### Want to contribute?

Nice ;-) Have a look at the [contribution guidelines](CONTRIBUTING.md "Contributing")

---
### *inv_cisco_eox*

Sample output

![sample output](img/sample_eox.png?raw=true "sample output")

---
### *inv_cisco_contract*

Sample output

![sample output](img/sample_contract.png?raw=true "sample output")

---
### *inv_cisco_psirt*

Sample output

![sample output](img/sample_psirt.png?raw=true "sample output")

---
### *inv_cisco_bug*

Sample output

![sample output](img/sample_bug.png?raw=true "sample output")
